<main>

    <h1>Device Instances</h1>

    <p>Physical instances of devices. Their label is the only required field. All others are just helpful add-on notes. The unique ID, of course, is for the system.</p>

    <div *ngFor="let t of deviceTypes">
        <h2>{{t.deviceType}}</h2>
        <pre *ngFor="let i of t.instances"><code class="language-json">{{ i | json }}</code></pre>
    </div>

</main>

<aside hidden="hidden"></aside>